package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.lang.Long;

/**
 *  Shbraceletpoint 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-05-20 19:07:48
 */
 @ApiModel(value="Shbraceletpoint", description="")
public class Shbraceletpoint implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/**  **/
	@ApiModelProperty(value = "")
private String id;
		
	/**  **/
    @ApiModelProperty(name = "'key'",required=true)
private String key;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String value;
		
	/**  **/
	@ApiModelProperty(value = "") 
private Long ts;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String status;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String type;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String time;
		
	/**  **/
    @ApiModelProperty(name = "'describe'",required=true)
private String describe;
		
		
	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
	 
			
	public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }
	 
			
	public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
	 
			
	public Long getTs() {
        return ts;
    }

    public void setTs(Long ts) {
        this.ts = ts;
    }
	 
			
	public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
	 
			
	public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
	 
			
	public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }
	 
			
	public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
	 
			
	public Shbraceletpoint() {
        super();
    }
    
																																										
	public Shbraceletpoint(String id,String key,String value,Long ts,String status,String type,String time,String describe) {
	
		this.id = id;
		this.key = key;
		this.value = value;
		this.ts = ts;
		this.status = status;
		this.type = type;
		this.time = time;
		this.describe = describe;
		
	}
	
}